Subject: Re: bug#59579: installing zbar prevents gdm to start on Ubuntu 22.04 foreign distro

From: 宋文武 <[email-masked]>
Date: Tue, 31 Jan 2023 14:23:09 +0800

Simon Tournier <[email-masked]> writes:

> Hi,
>
> On Fri, 25 Nov 2022 at 18:45, Clément Lassieur <[email-masked]> wrote:
>
>> It's very difficult to pin the issue down to a guix package being
>> installed.
>>
>> I imagine the bug would not happen if ~/.guix-profile/share was not in
>> XDG_DATA_DIRS.
>
> Yes, it is related to XDG_DATA_DIRS and it can be tedious to find which
> package brings the issue.
>
> I had a similar issue with the package ’python-ipython’ and recently
> with ’fontconfig’ – both cases running on the top of Debian.
>
> The issue can happen whatever the profile; it just depends which ones
> are sourced by your login shell.
>

Hello, I don't think XDG_DATA_DIRS should be the problems, but other
environment variables with "lib", since the xdg data should be
portable...

So:
--8<---------------cut here---------------start------------->8---
$ guix shell -C coreutils zbar --no-grafts  -- env
PS1=\u@\h \w [env]\$ 
TMPDIR=/tmp
TEMPDIR=/tmp
TMP=/tmp
TEMP=/tmp
LOGNAME=iyzsong
USER=iyzsong
HOME=/home/iyzsong
PATH=/gnu/store/yfnm6nh3a6c7hiqk1nq228wpph1x1z1w-profile/bin:/gnu/store/yfnm6nh3a6c7hiqk1nq228wpph1x1z1w-profile/sbin
XDG_DATA_DIRS=/gnu/store/yfnm6nh3a6c7hiqk1nq228wpph1x1z1w-profile/share
GUIX_GTK3_PATH=/gnu/store/yfnm6nh3a6c7hiqk1nq228wpph1x1z1w-profile/lib/gtk-3.0
QMAKEPATH=/gnu/store/yfnm6nh3a6c7hiqk1nq228wpph1x1z1w-profile/lib/qt5
QT_PLUGIN_PATH=/gnu/store/yfnm6nh3a6c7hiqk1nq228wpph1x1z1w-profile/lib/qt5/plugins
XDG_CONFIG_DIRS=/gnu/store/yfnm6nh3a6c7hiqk1nq228wpph1x1z1w-profile/etc/xdg
XCURSOR_PATH=/gnu/store/yfnm6nh3a6c7hiqk1nq228wpph1x1z1w-profile/share/icons
GDK_PIXBUF_MODULE_FILE=/gnu/store/yfnm6nh3a6c7hiqk1nq228wpph1x1z1w-profile/lib/gdk-pixbuf-2.0/2.10.0/loaders.cache
GUIX_ENVIRONMENT=/gnu/store/yfnm6nh3a6c7hiqk1nq228wpph1x1z1w-profile
--8<---------------cut here---------------end--------------->8---

I think GUIX_GTK3_PATH, QT_PLUGIN_PATH, GDK_PIXBUF_MODULE_FILE should be
the problems.